const postcss = require('postcss')
const { name } = require('./package')
let root = true

/*
POSTCSS 8

module.exports = (vars = {}, selector = ':root') => {
  return {
    postcssPlugin: name,
    Once (css) {
      if (root) {
        root = false
        return css.append(`${selector} { ${vars} }`)
      }

      return css
    }
  }
}

module.exports.postcss = true */

module.exports = postcss.plugin(name, (vars = {}, selector = ':root') => {
  return css => {
    if (root) {
      root = false
      return css.append(`${selector} { ${vars} }`)
    }

    return css
  }
})
